Zum Hauptinhalt springen
GET
/
conversations
/
conversations
/
2026-09-beta
/
threads
Retrieve threads
curl --request GET \
  --url https://api.hubapi.com/conversations/conversations/2026-09-beta/threads \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "archived": true,
      "associatedContactId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "inboxId": "<string>",
      "originalChannelAccountId": "<string>",
      "originalChannelId": "<string>",
      "spam": true,
      "status": "CLOSED",
      "assignedTo": "<string>",
      "closedAt": "2023-11-07T05:31:56Z",
      "latestMessageReceivedTimestamp": "2023-11-07T05:31:56Z",
      "latestMessageSentTimestamp": "2023-11-07T05:31:56Z",
      "latestMessageTimestamp": "2023-11-07T05:31:56Z",
      "threadAssociations": {
        "associatedTicketId": "<string>"
      }
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Whether to return only results that have been archived.

associatedContactId
integer<int64>

The unique identifier of the associated contact to filter the threads.

associatedTicketId
integer<int64>

The unique identifier of the associated ticket to filter the threads.

association
enum<string>[]

A list of associations to include in the response. Valid values include 'TICKET'.

Verfügbare Optionen:
TICKET
inboxId
integer<int32>[]

A list of inbox IDs to filter the threads.

latestMessageTimestampAfter
string<date-time>

Filter threads to only include those with a latest message timestamp after the specified date-time.

limit
integer<int32>

The maximum number of results to display per page.

property
string

A specific property to include in the response.

sort
string[]

A list of fields to sort the results by.

threadStatus
enum<string>

The status of the thread to filter by. Valid values are 'OPEN' or 'CLOSED'.

Verfügbare Optionen:
CLOSED,
OPEN

Antwort

successful operation

results
object[]
erforderlich
paging
object
Last modified on April 9, 2026